<?php
echo$div[2];
$link_paginare='/pagina/';
if(isset($x2))
{
$link_nou='/'.basename($_SERVER['PHP_SELF'],'.php').$x2;
if(mb_substr_count($x2,'?')>0)
$link_paginare='&amp;page=';
}
else
$link_nou=explode('?',explode('/pagina/',$_SERVER['REQUEST_URI'])[0])[0];
$mod_paginare=$_COOKIE['mod_paginare']??0;
if($mod_paginare==0)
{
if($page>1)
echo'<a accesskey="1" rel="prev" href="'.$link_nou.str_replace(['/pagina/1"','&amp;page=1"'],'"',$link_paginare.($page-1).'"').'>&#171;Înapoi</a>';
if($page>1&&$page<$num_pages)
echo'<strong> - </strong>';
if($page<$num_pages)
echo'<a accesskey="2" rel="next" href="'.$link_nou.$link_paginare.($page+1).'">Înainte&#187;</a>';
if($page>1||$page<$num_pages)
echo'<br />';
echo'<strong>Pagina '.$page.' din '.$num_pages.'</strong>';
if($num_pages>2)
echo'<br />';
}
else
{
$range=$mod_paginare;
for($x=($page-$range);$x<(($page+$range)+1);$x++)
{
if($x>0&&$x<=$num_pages)
{
if($x==$page)
echo'<strong>pagina '.number_format($page).' din '.number_format($num_pages).'</strong>';
else
{
if($x<=$page-2)
$imagine=$domenii_statice[1].'control_rewind.png';
if($x==$page-1)
$imagine=$domenii_statice[2].'control_start.png';
if($x==$page+1)
$imagine=$domenii_statice[1].'control_end.png';
if($x>=$page+2)
$imagine=$domenii_statice[2].'control_fastforward.png';
echo'<a href="'.$link_nou.str_replace(['/pagina/1"','&amp;page=1"'],'"',$link_paginare.$x.'"').'><img src="'.$imagine.'" alt="'.$x.'" width="16" height="16" /></a>';
}
}
}
unset($range,$x,$imagine);
}
if($num_pages>2)
{
$formular_wml='';
$formular_html='';
if(mb_substr_count($link_nou,'?')>0)
{
[$link_nou,$sir]=explode('?',$link_nou);
foreach(explode('&amp;',$sir) AS$variabila)
{
$variabilla=explode('=',$variabila);
$formular_wml.='<postfield name="'.$variabilla[0].'" value="$('.$variabilla[1].')" />';
$formular_html.='<input type="hidden" name="'.$variabilla[0].'" value="'.$variabilla[1].'" />';
}
unset($sir,$variabila,$variabilla);
}
if($is_pc>1)
echo'<form action="'.$link_nou.'" method="get">'.$formular_html;
echo'Sari la pagina: <input name="page" size="2" />'.($is_pc=='1'?'<anchor><go href="'.$link_nou.'" method="get">'.$formular_wml.'<postfield name="page" value="$(page)" /></go><img src="'.$domenii_statice[2].'go.gif" alt="" />Mergi la pagina</anchor>':'<input type="image" src="'.$domenii_statice[2].'go.gif" alt="Mergi la pagina" /></form>');
unset($formular_wml,$formular_html);
}
echo$div[0];
unset($items,$pe_pagina,$num_pages,$limit_start,$link_paginare,$link_nou,$mod_paginare);